import fastifyStatic from '@fastify/static'
import path from 'path'

/**
 *  handle static files that are created by frontend package
 *
 *  @author Björn Hase
 *  @license http://opensource.org/licenses/MIT The MIT License
 *  @link https://github.com/tentakelfabrik/fastify-lowdb-riotjs-lessons-learned
 *
 */

export default async function(fastify, opts) {

    /**
     *
     *
     */
    fastify.register(fastifyStatic, {
        root: path.join(path.resolve(), '/../../public'),
        prefix: '/static',
        preCompressed: true
    })

}