import DirectusAbstractStore from './DirectusAbstract.js'

/**
 *
 *
 *
 */

class SettingsStore extends DirectusAbstractStore {

    /**
     *
     *
     *  @param  {string} endpoint
     *
     */
    constructor() {
        super('directus_settings')
    }

    find() {
        return this.items.readByQuery({
            fields: [
                'project_name',
                'project_descriptor',
                'project_url',
                'project_logo.id',
                'default_language'
            ]
        })
    }

}

export default OptionStore